# Yahoo! UI Library

### DataTable Widget 2.6.0

Yahoo! UI Library > datatable > YAHOO.widget.CellEditor

Show Private Show Protected Show Deprecated

## Class YAHOO.widget.CellEditor - extends YAHOO.widget.BaseCellEditor

Factory class for instantiating a BaseCellEditor subclass.

### Constructor

YAHOO.widget.CellEditor `( sType , oConfigs )`

Parameters:
  `sType <String>` Type indicator, to map to YAHOO.widget.DataTable.Editors.
  `oConfigs <Object>` (Optional) Object literal of configs.

#### Properties inherited from YAHOO.widget.BaseCellEditor:

`_elCancelBtn, _elContainer, _elSaveBtn, _elTd, _oColumn, _oDataTable, _oRecord, _sId, _sType, asyncSubmitter, defaultValue, disableBtns, isActive, LABEL_CANCEL, LABEL_SAVE, validator, value`

#### Properties inherited from YAHOO.util.EventProvider:

`__yui_events, __yui_subscribers`

#### Methods inherited from YAHOO.widget.BaseCellEditor:

`_initConfigs, _initEvents, attach, block, cancel, destroy, doAfterRender, focus, getColumn, getContainerEl, getDataTable, getId, getInputValue, getRecord, getTdEl, handleDisabledBtns, move, render, renderBtns, renderForm, resetForm, save, show, toString, unblock`

#### Methods inherited from YAHOO.util.EventProvider:

`createEvent, fireEvent, hasEvent, subscribe, unsubscribe, unsubscribeAll`

#### Events inherited from YAHOO.widget.BaseCellEditor:

`blurEvent, cancelEvent, invalidDataEvent, keydownEvent, revertEvent, saveEvent, showEvent,`

Copyright © 2008 Yahoo! Inc. All rights reserved.